clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CGOpenMPRuntime::LastprivateConditionalRAII Class Reference

Manages list of lastprivate conditional decls for the specified directive. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CGOpenMPRuntime.h"`

## Public Member Functions
| LastprivateConditionalRAII (CodeGenFunction &CGF, const OMPExecutableDirective &S, LValue IVLVal)
| ~LastprivateConditionalRAII ()

## Detailed Description

Manages list of lastprivate conditional decls for the specified directive.

Definition at line 243 of file CGOpenMPRuntime.h.

## Constructor & Destructor Documentation

## ◆ LastprivateConditionalRAII()

CGOpenMPRuntime::LastprivateConditionalRAII::LastprivateConditionalRAII | ( | CodeGenFunction & | CGF,
|  | const OMPExecutableDirective & | S,
|  | LValue | IVLVal
| ) |  |

Definition at line 11332 of file CGOpenMPRuntime.cpp.

References clang::CodeGen::CGOpenMPRuntime::LastprivateConditionalData::DeclToUniqeName, generateUniqueName(), clang::OMPExecutableDirective::getBeginLoc(), clang::OMPExecutableDirective::getClausesOfKind(), clang::PresumedLoc::getColumn(), clang::CodeGen::CodeGenModule::getContext(), clang::CodeGen::CodeGenModule::getDiags(), clang::OMPExecutableDirective::getDirectiveKind(), clang::PresumedLoc::getFilename(), clang::CodeGen::CodeGenModule::getLangOpts(), clang::CodeGen::CodeGenFunction::getLangOpts(), clang::PresumedLoc::getLine(), clang::CodeGen::CodeGenModule::getOpenMPRuntime(), clang::SourceManager::getPresumedLoc(), clang::ASTContext::getSourceManager(), clang::isOpenMPSimdDirective(), clang::PresumedLoc::isValid(), clang::CodeGen::CGOpenMPRuntime::LastprivateConditionalData::IVLVal, clang::CodeGen::CGOpenMPRuntime::LastprivateConditionalData::IVName, clang::DiagnosticsEngine::Report(), and clang::CodeGen::CGOpenMPRuntime::LastprivateConditionalData::UseOriginalIV.

## ◆ ~LastprivateConditionalRAII()

CGOpenMPRuntime::LastprivateConditionalRAII::~LastprivateConditionalRAII | ( |  | ) |

Definition at line 11379 of file CGOpenMPRuntime.cpp.

References clang::CodeGen::CodeGenModule::getOpenMPRuntime().

The documentation for this class was generated from the following files:

- lib/CodeGen/CGOpenMPRuntime.h
- lib/CodeGen/CGOpenMPRuntime.cpp